InvalidTargetObjectTypeException (Java Platform SE 8 )
Keywords: javax.management.modelmbean.InvalidTargetObjectTypeException class
Date: 2016-04-24

compact3
javax.management.modelmbean

## Class InvalidTargetObjectTypeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.management.modelmbean.InvalidTargetObjectTypeException

- All Implemented Interfaces:
    Serializable

      public class InvalidTargetObjectTypeException
      extends Exception

  Exception thrown when an invalid target object type is specified.

  The serialVersionUID of this class is `1190536278266811217L`.

  Since:
    1.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidTargetObjectTypeException()` Default constructor.
    `InvalidTargetObjectTypeException(Exception e, String s)` Constructor taking an exception and a string.
    `InvalidTargetObjectTypeException(String s)` Constructor from a string.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidTargetObjectTypeException

          public InvalidTargetObjectTypeException()

      Default constructor.

    - #### InvalidTargetObjectTypeException

          public InvalidTargetObjectTypeException(String s)

      Constructor from a string.
      Parameters:
        `s` - String value that will be incorporated in the message for this exception.

    - #### InvalidTargetObjectTypeException

          public InvalidTargetObjectTypeException(Exception e,
                                                  String s)

      Constructor taking an exception and a string.
      Parameters:
        `e` - Exception that we may have caught to reissue as an InvalidTargetObjectTypeException. The message will be used, and we may want to consider overriding the printStackTrace() methods to get data pointing back to original throw stack.
        `s` - String value that will be incorporated in message for this exception.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.